#ifndef _windowManager

#define _windowManager


// Macros

#define GL_GLEXT_PROTOTYPES




#include "stdlib.h"

extern char * __ClassNames[];


// Includes

#include <hints.h>

#include <stdio.h>

#include <GL/glx.h>

#include <GL/gl.h>

#include <GL/glext.h>

#include <X11/keysym.h>

#include <X11/Xlib.h>


typedef struct windowManager{

	Display * mainDisplay;

	Window mainWindow;

	int MainScreen;

	Window RootWindow;


} windowManager;

void windowManager_setupDisplay( windowManager * this );

void windowManager_setupWindow( windowManager * this );

static int DoubleBufferAttributes[] ;

windowManager windowManager_new(  );

windowManager * windowManager_newPointer(  );

#endif


typedef struct windowManager windowManager;



